local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.CookingLevellingShadowlands(container)






--[[local function TSMPricing()

		local AetherealMeat = TSM_API.GetCustomPriceValue("dbmarket","i:172052")*35
		local CreepingCrawlerMeat = TSM_API.GetCustomPriceValue("dbmarket","i:179314")*30
		local IridescentAmberjack = TSM_API.GetCustomPriceValue("dbmarket","i:173033")*45
		local LostSole = TSM_API.GetCustomPriceValue("dbmarket","i:173032")*63
		local PhantasmalHaunch = TSM_API.GetCustomPriceValue("dbmarket","i:172055")*15
		local ShadowyShank = TSM_API.GetCustomPriceValue("dbmarket","i:179315")*36
		local SpinefinPiranha = TSM_API.GetCustomPriceValue("dbmarket","i:173036")*36
		local TenebrousRibs = TSM_API.GetCustomPriceValue("dbmarket","i:172053")*57

		Add1 = AetherealMeat + CreepingCrawlerMeat
		Add2 = Add1 + IridescentAmberjack
		Add3 = Add2 + LostSole
		Add4 = Add3 + PhantasmalHaunch
		Add5 = Add4 + ShadowyShank
		Add6 = Add5 + SpinefinPiranha
		Add7 = Add6 + TenebrousRibs



		local Item = TSM_API.FormatMoneyString(Add7)



end--]]
		







--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
  
  --[[ Material List ]]--
  local desc = AceGUI:Create("Label")  
  desc:SetText("|cff00C78CMaterial List:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("1. Phantasmal Haunch".." - ".."69")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("2. Shadowy Shank".." - ".."54")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("3. Spinefin Piranha".." - ".."72")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("4. Aetheral Meat".." - ".."69")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("5. Iridescent Amberjack".." - ".."72")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("6. Lost Sole".." - ".."31")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("7. Inconceivably Aged Vinegar".." - ".."48")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("8. Smuggled Azerothian Produce".." - ".."114")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

    local desc = AceGUI:Create("Label")
  desc:SetText("9. Rich Grazer Milk".." - ".."118")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("10. Lusterwheat Flour".." - ".."118")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

--[[ Estimated Cost ]]--  

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
if (IsAddOnLoaded("TradeSkillMaster")) then  

		local AetherealMeat = TSM_API.GetCustomPriceValue("dbmarket","i:172052")*35
		local CreepingCrawlerMeat = TSM_API.GetCustomPriceValue("dbmarket","i:179314")*30
		local IridescentAmberjack = TSM_API.GetCustomPriceValue("dbmarket","i:173033")*45
		local LostSole = TSM_API.GetCustomPriceValue("dbmarket","i:173032")*63
		local PhantasmalHaunch = TSM_API.GetCustomPriceValue("dbmarket","i:172055")*15
		local ShadowyShank = TSM_API.GetCustomPriceValue("dbmarket","i:179315")*36
		local SpinefinPiranha = TSM_API.GetCustomPriceValue("dbmarket","i:173036")*36
		local TenebrousRibs = TSM_API.GetCustomPriceValue("dbmarket","i:172053")*57

		Add1 = AetherealMeat + CreepingCrawlerMeat
		Add2 = Add1 + IridescentAmberjack
		Add3 = Add2 + LostSole
		Add4 = Add3 + PhantasmalHaunch
		Add5 = Add4 + ShadowyShank
		Add6 = Add5 + SpinefinPiranha
		Add7 = Add6 + TenebrousRibs



		local Item = TSM_API.FormatMoneyString(Add7)

			--TSMPricing()	

			  local desc = AceGUI:Create("Label")  
			  desc:SetText("|cff00C78CEstimated Cost: ".."|cffffffff"..Item)
			  desc:SetFullWidth(true)
			  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
			  scroll:AddChild(desc)
  
  else
  
  		  local desc = AceGUI:Create("Label")
		  desc:SetText("|cffff6060Estimated Cost:".."|cffffffff TradeSkillMaster Not Installed For Estimated Cost")
		  desc:SetFullWidth(true)
		  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
		  scroll:AddChild(desc)
  
  
  
  
end   

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


--[[ Trainer ]]-- 

if (IsAddOnLoaded("TomTom")) then  

  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Trainer Waypoint")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
	  ShadowlandsWaypoint:SetCallback("OnClick", function() 

		ox:SetText("/way 47.0 23.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
	  
	  end)
	  
		else
		
		  local desc = AceGUI:Create("Label")
		  desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
		  desc:SetFullWidth(true)
		  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
		  scroll:AddChild(desc)
  
  
  
end

--[[ Levelling ]]--
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 25:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Create 31x Biscuits and Caviar")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 2:".."|cffffffff 25 - 40:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Create 18x Meaty Apple Dumplings")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 3:".."|cffffffff 40 - 55:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Create 23x Banana Beef Pudding")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 4:".."|cffffffff 55 - 75:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Create 24x Spinefin Souffle and Fries")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

 
















end